Subject: Re: [resolved] Re: 2.6.5/iBook G3: Oops on resume from sleep

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 10 Apr 2004 11:47:22 +1000

On Sat, 2004-04-10 at 11:20, Aaron Lunansky wrote:
> heh, good call, it was pmac_zilog that was causing the weird behaviour.
> Removed it from my kernel (it was compiled in) and my system sleeps fine now.

Can you enable debugging in the driver (turn #undef DEBUG to #define
DEBUG at the beginning of the driver, you may also need to boot the
kernel with "debug" on the command line to get the messages).

See what messages you get from the driver both during boot and when
trying to suspend. Eventually, add some more output to pmz_suspend()
function to find out where it dies

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/